Skip to main content
GET
/
v1
/
customers
List customers
curl --request GET \
  --url https://api.withflex.com/v1/customers \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.withflex.com/v1/customers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "customers": [
    {
      "customer_id": "fcus_01HACM7FZ1084XB1GB6053VM0D",
      "owner_partner_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
      "first_name": "John",
      "last_name": "Doe",
      "email": "joh.doe@example.com",
      "phone": "+15555555555",
      "employer": "Flex",
      "metadata": {
        "order_id": "8842",
        "channel": "shopify"
      },
      "created_at": "2026-06-15T14:30:00Z",
      "test_mode": false
    }
  ]
}
{
"code": "string",
"detail": "string"
}
{
"code": "string",
"detail": "string"
}
{
"code": "string",
"detail": "string"
}
{
"code": "string",
"detail": "string"
}
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}
{
"code": "string",
"detail": "string"
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Query Parameters

starting_after
string | null

A cursor for use in pagination. starting_after is a customer ID that defines your place in the list. For instance, if you make a list request and receive 20 customers, ending with cus_xyz, your subsequent call can include starting_after=cus_xyz to fetch the next page.

Example:

"fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA"

ending_before
string | null

A cursor for use in pagination. ending_before is a customer ID that defines your place in the list. For instance, if you make a list request and receive 20 customers, starting with cus_abc, your subsequent call can include ending_before=cus_abc to fetch the previous page.

Example:

"fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA"

limit
integer<int32> | null

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

Example:

10

offset
integer<int32> | null

Number of objects to skip before returning results.

Example:

3

email
string<email> | null

Filter results by customer email address.

Example:

"john.doe@example.com"

Response

Success

An envelope wrapping a list of customer objects.

customers
object[]
required

The list of customers.